/* blueprint.js */


Janice.BlueprintManager = {
    blueprints: {},

    registerBlueprint: function(name, properties, drawFunc) {
        this.blueprints[name] = {
            properties: properties,
            draw: drawFunc,
            type: name
        };
    },

    retrieveBlueprint: function(name) {
        return name in this.blueprints ? this.blueprints[name] : null;
    }
};

