/* rectangle.js */


(function() {

    var Rectangle = {
        properties: {
            width: { type: 'number', value: 100},
            height: { type: 'number', value: 100},
            color: { type: 'color', value: Janice.Color(0, 0, 255)}
        },
        draw: function(context, properties) {
            context.fillStyle = '#' + properties.color.toHexString();
            context.fillRect(-properties.width/2, -properties.height/2, properties.width, properties.height);
        }
    };


    Janice.BlueprintManager.registerBlueprint('rectangle', Rectangle.properties, Rectangle.draw);

})();

