/* text.js */


(function() {

    var Text = {
        properties: {
            text: { type: 'string', value: 'Default text'},
            color: { type: 'color', value: Janice.Color(255, 0, 0)}
        },
        draw: function(context, properties) {
            context.fillStyle = '#' + properties.color.toHexString();
            context.font = 'bold 16px sans-serif';
            context.textAlign = 'center';
            context.textBaseline = 'middle';
            context.fillText(properties.text, 0, 0);
        }
    };


    Janice.BlueprintManager.registerBlueprint('text', Text.properties, Text.draw);

})();

